<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku RobotModel.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_robot_model_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#define-members">Definicje</a> &#124;
<a href="#func-members">Funkcje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku RobotModel.hpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicja klasy <a class="el" href="class_robot_model.html" title="Trójwymiarowy model robota.">RobotModel</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &lt;QGLViewer/qglviewer.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla RobotModel.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8hpp__incl.png" border="0" usemap="#a_robot_model_8hpp" alt=""/></div>
<map name="a_robot_model_8hpp" id="a_robot_model_8hpp">
<area shape="rect" title="Definicja klasy RobotModel." alt="" coords="27,5,142,31"/>
<area shape="rect" title=" " alt="" coords="5,79,164,104"/>
<area shape="poly" title=" " alt="" coords="87,31,87,65,82,65,82,31"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8hpp__dep__incl.png" border="0" usemap="#a_robot_model_8hppdep" alt=""/></div>
<map name="a_robot_model_8hppdep" id="a_robot_model_8hppdep">
<area shape="rect" title="Definicja klasy RobotModel." alt="" coords="125,5,240,31"/>
<area shape="rect" href="_robot_model_8cpp.html" title="Definicje metod klasy RobotModel." alt="" coords="63,79,177,104"/>
<area shape="poly" title=" " alt="" coords="165,43,132,80,128,77,161,39"/>
<area shape="rect" href="_viewer_8hpp.html" title="Definicja klasy Viewer." alt="" coords="202,79,289,104"/>
<area shape="poly" title=" " alt="" coords="204,39,237,77,233,80,200,43"/>
<area shape="rect" href="_map3_d_8hpp.html" title="Definicja klasy Map3D." alt="" coords="146,152,233,177"/>
<area shape="poly" title=" " alt="" coords="230,117,200,154,196,150,225,113"/>
<area shape="rect" href="_viewer_8cpp.html" title="Definicje metod klasy Viewer." alt="" coords="257,152,343,177"/>
<area shape="poly" title=" " alt="" coords="265,113,293,150,289,154,261,117"/>
<area shape="rect" href="_main_window_8hpp.html" title="Definicja klasy MainWindow." alt="" coords="65,225,185,251"/>
<area shape="poly" title=" " alt="" coords="172,189,138,227,134,223,168,186"/>
<area shape="rect" href="_map3_d_8cpp.html" title="Definicje metod klasy Map3D." alt="" coords="210,225,297,251"/>
<area shape="poly" title=" " alt="" coords="211,186,245,223,241,227,207,189"/>
<area shape="rect" href="_main_window_8cpp.html" title="Definicje metod klasy MainWindow." alt="" coords="5,299,125,324"/>
<area shape="poly" title=" " alt="" coords="109,263,77,300,73,297,105,260"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="149,299,224,324"/>
<area shape="poly" title=" " alt="" coords="146,260,179,297,175,300,142,263"/>
</map>
</div>
</div>
<p><a href="_robot_model_8hpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_model.html">RobotModel</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Trójwymiarowy model robota.  <a href="class_robot_model.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Definicje</h2></td></tr>
<tr class="memitem:ab2f84c36c2d0595ec55832062bd0ebf2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#ab2f84c36c2d0595ec55832062bd0ebf2">BOARD_X</a>&#160;&#160;&#160;60</td></tr>
<tr class="separator:ab2f84c36c2d0595ec55832062bd0ebf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22de5dc5f2b1c9d3dfedd2e9b5f83017"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#a22de5dc5f2b1c9d3dfedd2e9b5f83017">BOARD_Y</a>&#160;&#160;&#160;42</td></tr>
<tr class="separator:a22de5dc5f2b1c9d3dfedd2e9b5f83017"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa04b3e7cb1623fcd7ec61f7daafa462d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#aa04b3e7cb1623fcd7ec61f7daafa462d">WHEEL_RADIUS_EXT</a>&#160;&#160;&#160;1.45F</td></tr>
<tr class="separator:aa04b3e7cb1623fcd7ec61f7daafa462d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab20f7a6476a6fba4e35950c75a058617"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#ab20f7a6476a6fba4e35950c75a058617">WHEEL_RADIUS_IN</a>&#160;&#160;&#160;0.75F</td></tr>
<tr class="separator:ab20f7a6476a6fba4e35950c75a058617"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b9d11b81cbab8ee6f6376c8ff2184ea"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#a2b9d11b81cbab8ee6f6376c8ff2184ea">WHEEL_WIDTH</a>&#160;&#160;&#160;1.3F</td></tr>
<tr class="separator:a2b9d11b81cbab8ee6f6376c8ff2184ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4a59d611bde90fbfa2710f0ef849f97"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#ad4a59d611bde90fbfa2710f0ef849f97">ANG_STEP_DEG</a>&#160;&#160;&#160;10</td></tr>
<tr class="separator:ad4a59d611bde90fbfa2710f0ef849f97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c0dfbf5a1a6e04707647bec2dce1bde"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#a6c0dfbf5a1a6e04707647bec2dce1bde">WHEEL_SPACING</a>&#160;&#160;&#160;8.6F</td></tr>
<tr class="separator:a6c0dfbf5a1a6e04707647bec2dce1bde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11508d05621bcf587ed7a780813d140a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#a11508d05621bcf587ed7a780813d140a">OBSTACLE_HEIGHT</a>&#160;&#160;&#160;2.1F</td></tr>
<tr class="separator:a11508d05621bcf587ed7a780813d140a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af038e006b41de53b3f1b8a2079e31546"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#af038e006b41de53b3f1b8a2079e31546">LINEAR_COEF</a>&#160;&#160;&#160;9.85</td></tr>
<tr class="separator:af038e006b41de53b3f1b8a2079e31546"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21005f9f4e2ce7597c5eb4351816d7e2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#a21005f9f4e2ce7597c5eb4351816d7e2">OFFSET</a>&#160;&#160;&#160;7.395194838</td></tr>
<tr class="separator:a21005f9f4e2ce7597c5eb4351816d7e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7244ab798f58214294b580ca0bb48552"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#a7244ab798f58214294b580ca0bb48552">MAX_BUF_SIZE</a>&#160;&#160;&#160;1000</td></tr>
<tr class="separator:a7244ab798f58214294b580ca0bb48552"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a7f485573c16394fc0792a66bd02c7a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#a8a7f485573c16394fc0792a66bd02c7a">ANGLE</a>&#160;&#160;&#160;34</td></tr>
<tr class="separator:a8a7f485573c16394fc0792a66bd02c7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27098912d76fa162f46833a96a90f00a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#a27098912d76fa162f46833a96a90f00a">OFFSETX1</a>&#160;&#160;&#160;4.45</td></tr>
<tr class="separator:a27098912d76fa162f46833a96a90f00a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a46a05fc891ac88d5f7d881468790fe"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#a8a46a05fc891ac88d5f7d881468790fe">OFFSETY1</a>&#160;&#160;&#160;4.05</td></tr>
<tr class="separator:a8a46a05fc891ac88d5f7d881468790fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6237700fd34ffe50e3ffb8ed33e2d829"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#a6237700fd34ffe50e3ffb8ed33e2d829">OFFSETX2</a>&#160;&#160;&#160;5.65</td></tr>
<tr class="separator:a6237700fd34ffe50e3ffb8ed33e2d829"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8863d8861b17af580214a3310dc3185"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#ac8863d8861b17af580214a3310dc3185">OFFSETY2</a>&#160;&#160;&#160;1.4</td></tr>
<tr class="separator:ac8863d8861b17af580214a3310dc3185"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1bbd8244cc38252c323a05c406dd16e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#ae1bbd8244cc38252c323a05c406dd16e">DETECTION_RADIUS</a>&#160;&#160;&#160;25.0F</td></tr>
<tr class="separator:ae1bbd8244cc38252c323a05c406dd16e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Funkcje</h2></td></tr>
<tr class="memitem:a62811974436c35fe396f8cea11bf0f1a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#a62811974436c35fe396f8cea11bf0f1a">drawBlackField</a> (GLfloat x_position, GLfloat y_position, GLfloat z_position=0.51)</td></tr>
<tr class="memdesc:a62811974436c35fe396f8cea11bf0f1a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rysuje czarne pola na planszy (szachownicy)  <br /></td></tr>
<tr class="separator:a62811974436c35fe396f8cea11bf0f1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca253efc916fb836bf53a4b602e96881"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#aca253efc916fb836bf53a4b602e96881">drawPolygon</a> (GLfloat *x_coords, GLfloat *y_coords, GLfloat *z_coords, const GLfloat *color=nullptr, const GLfloat *norm=nullptr)</td></tr>
<tr class="memdesc:aca253efc916fb836bf53a4b602e96881"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rysuje prostopadłościan na podstawie danych współrzędnych.  <br /></td></tr>
<tr class="separator:aca253efc916fb836bf53a4b602e96881"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f98776a162029889da039f37f4811a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#a3f98776a162029889da039f37f4811a7">drawObstacleLine</a> (std::pair&lt; float, float &gt; coords, const float *color)</td></tr>
<tr class="memdesc:a3f98776a162029889da039f37f4811a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rysuje przeszkodę w postaci walca.  <br /></td></tr>
<tr class="separator:a3f98776a162029889da039f37f4811a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecb475808c5b6047a80e78b980cb4fbb"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#aecb475808c5b6047a80e78b980cb4fbb">deg2rad</a> (double angle_deg)</td></tr>
<tr class="memdesc:aecb475808c5b6047a80e78b980cb4fbb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Przekształca stopnie do radianów.  <br /></td></tr>
<tr class="separator:aecb475808c5b6047a80e78b980cb4fbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbda2be3186f3f269760ccfba7f4412b"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#adbda2be3186f3f269760ccfba7f4412b">rad2deg</a> (double angle_rad)</td></tr>
<tr class="memdesc:adbda2be3186f3f269760ccfba7f4412b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Przekształca radiany w stopnie.  <br /></td></tr>
<tr class="separator:adbda2be3186f3f269760ccfba7f4412b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa31febf458485f9c45b26e33d2384d95"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_model_8hpp.html#aa31febf458485f9c45b26e33d2384d95">updateArray</a> (float *array, float point1, float point2, float point3, float point4)</td></tr>
<tr class="memdesc:aa31febf458485f9c45b26e33d2384d95"><td class="mdescLeft">&#160;</td><td class="mdescRight">Aktualizuje współrzędne w tablicy.  <br /></td></tr>
<tr class="separator:aa31febf458485f9c45b26e33d2384d95"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Plik zawiera definicję klasy <a class="el" href="class_robot_model.html" title="Trójwymiarowy model robota.">RobotModel</a>, która reprezentuje trójwymiarowy model robota, jak i jego zachowanie (model kinematyki, orientacja aktualne współrzędne). Poza tym zajmuje się też pozostałymi aspektami wizualizacji 3D, takimi jak rysowanie przeszkód czy planszy. Posiada prototypy funkcji pomocnych w pro- cesie rysowania. </p>

<p class="definition">Definicja w pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja definicji</h2>
<a id="ab2f84c36c2d0595ec55832062bd0ebf2" name="ab2f84c36c2d0595ec55832062bd0ebf2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2f84c36c2d0595ec55832062bd0ebf2">&#9670;&#160;</a></span>BOARD_X</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BOARD_X&#160;&#160;&#160;60</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00020">20</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="a22de5dc5f2b1c9d3dfedd2e9b5f83017" name="a22de5dc5f2b1c9d3dfedd2e9b5f83017"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22de5dc5f2b1c9d3dfedd2e9b5f83017">&#9670;&#160;</a></span>BOARD_Y</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BOARD_Y&#160;&#160;&#160;42</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00022">22</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="aa04b3e7cb1623fcd7ec61f7daafa462d" name="aa04b3e7cb1623fcd7ec61f7daafa462d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa04b3e7cb1623fcd7ec61f7daafa462d">&#9670;&#160;</a></span>WHEEL_RADIUS_EXT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WHEEL_RADIUS_EXT&#160;&#160;&#160;1.45F</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00024">24</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="ab20f7a6476a6fba4e35950c75a058617" name="ab20f7a6476a6fba4e35950c75a058617"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab20f7a6476a6fba4e35950c75a058617">&#9670;&#160;</a></span>WHEEL_RADIUS_IN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WHEEL_RADIUS_IN&#160;&#160;&#160;0.75F</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00026">26</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="a2b9d11b81cbab8ee6f6376c8ff2184ea" name="a2b9d11b81cbab8ee6f6376c8ff2184ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b9d11b81cbab8ee6f6376c8ff2184ea">&#9670;&#160;</a></span>WHEEL_WIDTH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WHEEL_WIDTH&#160;&#160;&#160;1.3F</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00028">28</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="ad4a59d611bde90fbfa2710f0ef849f97" name="ad4a59d611bde90fbfa2710f0ef849f97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4a59d611bde90fbfa2710f0ef849f97">&#9670;&#160;</a></span>ANG_STEP_DEG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ANG_STEP_DEG&#160;&#160;&#160;10</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00030">30</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="a6c0dfbf5a1a6e04707647bec2dce1bde" name="a6c0dfbf5a1a6e04707647bec2dce1bde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c0dfbf5a1a6e04707647bec2dce1bde">&#9670;&#160;</a></span>WHEEL_SPACING</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WHEEL_SPACING&#160;&#160;&#160;8.6F</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00032">32</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="a11508d05621bcf587ed7a780813d140a" name="a11508d05621bcf587ed7a780813d140a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11508d05621bcf587ed7a780813d140a">&#9670;&#160;</a></span>OBSTACLE_HEIGHT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OBSTACLE_HEIGHT&#160;&#160;&#160;2.1F</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00034">34</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="af038e006b41de53b3f1b8a2079e31546" name="af038e006b41de53b3f1b8a2079e31546"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af038e006b41de53b3f1b8a2079e31546">&#9670;&#160;</a></span>LINEAR_COEF</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LINEAR_COEF&#160;&#160;&#160;9.85</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00036">36</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="a21005f9f4e2ce7597c5eb4351816d7e2" name="a21005f9f4e2ce7597c5eb4351816d7e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21005f9f4e2ce7597c5eb4351816d7e2">&#9670;&#160;</a></span>OFFSET</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OFFSET&#160;&#160;&#160;7.395194838</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00038">38</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="a7244ab798f58214294b580ca0bb48552" name="a7244ab798f58214294b580ca0bb48552"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7244ab798f58214294b580ca0bb48552">&#9670;&#160;</a></span>MAX_BUF_SIZE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MAX_BUF_SIZE&#160;&#160;&#160;1000</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00040">40</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="a8a7f485573c16394fc0792a66bd02c7a" name="a8a7f485573c16394fc0792a66bd02c7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a7f485573c16394fc0792a66bd02c7a">&#9670;&#160;</a></span>ANGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ANGLE&#160;&#160;&#160;34</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00045">45</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="a27098912d76fa162f46833a96a90f00a" name="a27098912d76fa162f46833a96a90f00a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27098912d76fa162f46833a96a90f00a">&#9670;&#160;</a></span>OFFSETX1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OFFSETX1&#160;&#160;&#160;4.45</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00048">48</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="a8a46a05fc891ac88d5f7d881468790fe" name="a8a46a05fc891ac88d5f7d881468790fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a46a05fc891ac88d5f7d881468790fe">&#9670;&#160;</a></span>OFFSETY1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OFFSETY1&#160;&#160;&#160;4.05</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00051">51</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="a6237700fd34ffe50e3ffb8ed33e2d829" name="a6237700fd34ffe50e3ffb8ed33e2d829"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6237700fd34ffe50e3ffb8ed33e2d829">&#9670;&#160;</a></span>OFFSETX2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OFFSETX2&#160;&#160;&#160;5.65</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00054">54</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="ac8863d8861b17af580214a3310dc3185" name="ac8863d8861b17af580214a3310dc3185"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8863d8861b17af580214a3310dc3185">&#9670;&#160;</a></span>OFFSETY2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OFFSETY2&#160;&#160;&#160;1.4</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00057">57</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<a id="ae1bbd8244cc38252c323a05c406dd16e" name="ae1bbd8244cc38252c323a05c406dd16e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1bbd8244cc38252c323a05c406dd16e">&#9670;&#160;</a></span>DETECTION_RADIUS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DETECTION_RADIUS&#160;&#160;&#160;25.0F</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00059">59</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji</h2>
<a id="a62811974436c35fe396f8cea11bf0f1a" name="a62811974436c35fe396f8cea11bf0f1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62811974436c35fe396f8cea11bf0f1a">&#9670;&#160;</a></span>drawBlackField()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void drawBlackField </td>
          <td>(</td>
          <td class="paramtype">GLfloat&#160;</td>
          <td class="paramname"><em>x_position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLfloat&#160;</td>
          <td class="paramname"><em>y_position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLfloat&#160;</td>
          <td class="paramname"><em>z_position</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Rysuje czarne pola na planszy (szachownicy)</p>
<p>Funkcja wywoływana w zagnieżdżonej pętli rysuje czarne pola na planszy tworząc szachownicę. Pole jest kwadratem o wymiarach 1x1 [cm].</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">x_position</td><td>- współrzędna X lewego dolnego narożnika pola </td></tr>
    <tr><td class="paramname">y_position</td><td>- współrzędna Y lewego dolnego narożnika pola </td></tr>
    <tr><td class="paramname">z_position</td><td>- wysokość, na której umieszczane jest pole (wysokość planszy) </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8cpp_source.html#l01070">1070</a> pliku <a class="el" href="_robot_model_8cpp_source.html">RobotModel.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8hpp_a62811974436c35fe396f8cea11bf0f1a_icgraph.png" border="0" usemap="#a_robot_model_8hpp_a62811974436c35fe396f8cea11bf0f1a_icgraph" alt=""/></div>
<map name="a_robot_model_8hpp_a62811974436c35fe396f8cea11bf0f1a_icgraph" id="a_robot_model_8hpp_a62811974436c35fe396f8cea11bf0f1a_icgraph">
<area shape="rect" title="Rysuje czarne pola na planszy (szachownicy)" alt="" coords="528,5,639,31"/>
<area shape="rect" href="class_robot_model.html#af95c27a9257a9337c8b513c25b40db66" title="Rysuje planszę, po której jeździ robot." alt="" coords="321,5,480,31"/>
<area shape="poly" title=" " alt="" coords="514,21,481,21,481,15,514,15"/>
<area shape="rect" href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc" title="Rysuje wszystkie elementy mapy 3D." alt="" coords="149,5,273,31"/>
<area shape="poly" title=" " alt="" coords="308,21,273,21,273,15,308,15"/>
<area shape="rect" href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c" title="Funkcja rysująca obiekty." alt="" coords="5,5,101,31"/>
<area shape="poly" title=" " alt="" coords="136,21,102,21,102,15,136,15"/>
</map>
</div>

</div>
</div>
<a id="aca253efc916fb836bf53a4b602e96881" name="aca253efc916fb836bf53a4b602e96881"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca253efc916fb836bf53a4b602e96881">&#9670;&#160;</a></span>drawPolygon()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void drawPolygon </td>
          <td>(</td>
          <td class="paramtype">GLfloat *&#160;</td>
          <td class="paramname"><em>x_coords</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLfloat *&#160;</td>
          <td class="paramname"><em>y_coords</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLfloat *&#160;</td>
          <td class="paramname"><em>z_coords</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const GLfloat *&#160;</td>
          <td class="paramname"><em>color</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const GLfloat *&#160;</td>
          <td class="paramname"><em>norm</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">x_coords</td><td>- tablica współrzędnych X punktów prostopadłościanu </td></tr>
    <tr><td class="paramname">y_coords</td><td>- tablica współrzędnych Y punktów prostopadłościanu </td></tr>
    <tr><td class="paramname">z_coords</td><td>- tablica współrzędnych Z punktów prostopadłościanu </td></tr>
    <tr><td class="paramname">color</td><td>- kolor bryły (domyślnie nullptr) </td></tr>
    <tr><td class="paramname">norm</td><td>- wektor normalny (domyślnie nullptr) </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8cpp_source.html#l01090">1090</a> pliku <a class="el" href="_robot_model_8cpp_source.html">RobotModel.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8hpp_aca253efc916fb836bf53a4b602e96881_icgraph.png" border="0" usemap="#a_robot_model_8hpp_aca253efc916fb836bf53a4b602e96881_icgraph" alt=""/></div>
<map name="a_robot_model_8hpp_aca253efc916fb836bf53a4b602e96881_icgraph" id="a_robot_model_8hpp_aca253efc916fb836bf53a4b602e96881_icgraph">
<area shape="rect" title="Rysuje prostopadłościan na podstawie danych współrzędnych." alt="" coords="731,5,827,31"/>
<area shape="rect" href="class_robot_model.html#a12178061bc2160d73de81f418c65f25b" title="Rysuje podstawę robota." alt="" coords="528,5,683,31"/>
<area shape="poly" title=" " alt="" coords="717,21,683,21,683,15,717,15"/>
<area shape="rect" href="class_robot_model.html#a5ff73305cdfe2a1691b0c52c46a38a54" title="Rysuje kompletnego robota." alt="" coords="321,5,480,31"/>
<area shape="poly" title=" " alt="" coords="514,21,480,21,480,15,514,15"/>
<area shape="rect" href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc" title="Rysuje wszystkie elementy mapy 3D." alt="" coords="149,5,273,31"/>
<area shape="poly" title=" " alt="" coords="308,21,273,21,273,15,308,15"/>
<area shape="rect" href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c" title="Funkcja rysująca obiekty." alt="" coords="5,5,101,31"/>
<area shape="poly" title=" " alt="" coords="136,21,102,21,102,15,136,15"/>
</map>
</div>

</div>
</div>
<a id="a3f98776a162029889da039f37f4811a7" name="a3f98776a162029889da039f37f4811a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f98776a162029889da039f37f4811a7">&#9670;&#160;</a></span>drawObstacleLine()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void drawObstacleLine </td>
          <td>(</td>
          <td class="paramtype">std::pair&lt; float, float &gt;&#160;</td>
          <td class="paramname"><em>coords</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const float *&#160;</td>
          <td class="paramname"><em>color</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Mając współrzędne X i Y przeszkody, rysowany jest walec o środku w punkcie danym tymi współrzędnymi o promieniu 0.2 cm oraz wysokości 2.1 cm. Walec zaślepiany jest od góry kołem. </p>

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8cpp_source.html#l01133">1133</a> pliku <a class="el" href="_robot_model_8cpp_source.html">RobotModel.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8hpp_a3f98776a162029889da039f37f4811a7_cgraph.png" border="0" usemap="#a_robot_model_8hpp_a3f98776a162029889da039f37f4811a7_cgraph" alt=""/></div>
<map name="a_robot_model_8hpp_a3f98776a162029889da039f37f4811a7_cgraph" id="a_robot_model_8hpp_a3f98776a162029889da039f37f4811a7_cgraph">
<area shape="rect" title="Rysuje przeszkodę w postaci walca." alt="" coords="5,5,132,31"/>
<area shape="rect" href="_robot_model_8hpp.html#aecb475808c5b6047a80e78b980cb4fbb" title="Przekształca stopnie do radianów." alt="" coords="180,5,248,31"/>
<area shape="poly" title=" " alt="" coords="132,15,166,15,166,21,132,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8hpp_a3f98776a162029889da039f37f4811a7_icgraph.png" border="0" usemap="#a_robot_model_8hpp_a3f98776a162029889da039f37f4811a7_icgraph" alt=""/></div>
<map name="a_robot_model_8hpp_a3f98776a162029889da039f37f4811a7_icgraph" id="a_robot_model_8hpp_a3f98776a162029889da039f37f4811a7_icgraph">
<area shape="rect" title="Rysuje przeszkodę w postaci walca." alt="" coords="547,5,673,31"/>
<area shape="rect" href="class_robot_model.html#a9d9e28b6fc0fe43de28cb93162389fb8" title="Oblicza współrzędne przeszkód." alt="" coords="321,5,499,31"/>
<area shape="poly" title=" " alt="" coords="533,21,499,21,499,15,533,15"/>
<area shape="rect" href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc" title="Rysuje wszystkie elementy mapy 3D." alt="" coords="149,5,273,31"/>
<area shape="poly" title=" " alt="" coords="308,21,274,21,274,15,308,15"/>
<area shape="rect" href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c" title="Funkcja rysująca obiekty." alt="" coords="5,5,101,31"/>
<area shape="poly" title=" " alt="" coords="136,21,102,21,102,15,136,15"/>
</map>
</div>

</div>
</div>
<a id="aecb475808c5b6047a80e78b980cb4fbb" name="aecb475808c5b6047a80e78b980cb4fbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecb475808c5b6047a80e78b980cb4fbb">&#9670;&#160;</a></span>deg2rad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double deg2rad </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>angle_deg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">angle_deg</td><td>- kąt w stopniach </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>kąt w radianach </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00266">266</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8hpp_aecb475808c5b6047a80e78b980cb4fbb_icgraph.png" border="0" usemap="#a_robot_model_8hpp_aecb475808c5b6047a80e78b980cb4fbb_icgraph" alt=""/></div>
<map name="a_robot_model_8hpp_aecb475808c5b6047a80e78b980cb4fbb_icgraph" id="a_robot_model_8hpp_aecb475808c5b6047a80e78b980cb4fbb_icgraph">
<area shape="rect" title="Przekształca stopnie do radianów." alt="" coords="1156,157,1224,183"/>
<area shape="rect" href="class_robot_model.html#aa1bb3a43a9ca915f3c29d063ec4cc70d" title="Rysuje okrąg detekcji robota." alt="" coords="464,103,644,143"/>
<area shape="poly" title=" " alt="" coords="1142,157,1108,149,982,133,856,125,644,123,644,118,857,119,983,128,1108,143,1144,152"/>
<area shape="rect" href="class_robot_model.html#a6d57174d36911f7a2ce5adbf20d37929" title="Rysuje główną część silnika." alt="" coords="919,207,1106,232"/>
<area shape="poly" title=" " alt="" coords="1144,187,1109,198,1067,209,1065,204,1107,193,1142,182"/>
<area shape="rect" href="class_robot_model.html#a97109a084e61c1a3393c09c647328463" title="Rysuje cienkie tuleje silnika." alt="" coords="917,157,1108,183"/>
<area shape="poly" title=" " alt="" coords="1142,173,1108,173,1108,167,1142,167"/>
<area shape="rect" href="class_robot_model.html#a9d9e28b6fc0fe43de28cb93162389fb8" title="Oblicza współrzędne przeszkód." alt="" coords="692,53,869,79"/>
<area shape="poly" title=" " alt="" coords="1167,149,1140,124,1107,103,1048,83,985,71,925,65,870,64,870,59,925,60,986,66,1049,78,1109,98,1144,120,1171,145"/>
<area shape="rect" href="_robot_model_8cpp.html#a3f98776a162029889da039f37f4811a7" title="Rysuje przeszkodę w postaci walca." alt="" coords="949,5,1076,31"/>
<area shape="poly" title=" " alt="" coords="1176,146,1148,98,1129,73,1106,52,1069,33,1072,28,1110,48,1133,70,1153,95,1180,144"/>
<area shape="rect" href="class_robot_model.html#ab82a28cb17bce5ce86f098c1feb06b20" title="Rysuje koło robota." alt="" coords="700,237,861,263"/>
<area shape="poly" title=" " alt="" coords="1173,196,1145,224,1109,247,1043,266,974,272,908,271,851,265,851,260,908,266,974,267,1042,260,1107,242,1142,220,1169,192"/>
<area shape="rect" href="class_robot_model.html#a462c63bf18c587c8f6eb6459be6b6fbe" title="Oblicza nowe położenie i orietnację robota." alt="" coords="948,308,1077,333"/>
<area shape="poly" title=" " alt="" coords="1180,196,1152,244,1133,269,1110,291,1072,310,1069,306,1106,286,1129,265,1148,241,1175,193"/>
<area shape="rect" href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc" title="Rysuje wszystkie elementy mapy 3D." alt="" coords="261,111,385,136"/>
<area shape="poly" title=" " alt="" coords="450,126,385,126,385,121,450,121"/>
<area shape="rect" href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c" title="Funkcja rysująca obiekty." alt="" coords="45,111,141,136"/>
<area shape="poly" title=" " alt="" coords="247,126,142,126,142,121,247,121"/>
<area shape="rect" href="class_robot_model.html#a0169a2468fac501c9ad490f3e3b107b4" title="Rysuje kompletny silnik DC." alt="" coords="701,188,860,213"/>
<area shape="poly" title=" " alt="" coords="905,213,860,210,860,204,905,208"/>
<area shape="rect" href="class_robot_model.html#a5ff73305cdfe2a1691b0c52c46a38a54" title="Rysuje kompletnego robota." alt="" coords="475,188,633,213"/>
<area shape="poly" title=" " alt="" coords="687,203,634,203,634,198,687,198"/>
<area shape="poly" title=" " alt="" coords="501,186,361,139,363,134,503,181"/>
<area shape="poly" title=" " alt="" coords="904,187,861,193,860,188,903,182"/>
<area shape="poly" title=" " alt="" coords="679,73,575,81,464,94,372,113,371,108,464,89,574,75,678,68"/>
<area shape="poly" title=" " alt="" coords="938,36,843,56,842,51,937,31"/>
<area shape="poly" title=" " alt="" coords="708,237,613,216,614,211,709,232"/>
<area shape="rect" href="class_viewer.html#a37a4c731034836effceb714e30d12297" title="Przekazuje dane ruchu do modelu robota." alt="" coords="713,308,848,333"/>
<area shape="poly" title=" " alt="" coords="934,323,848,323,848,318,934,318"/>
<area shape="rect" href="class_map3_d.html#aaf51a6397305a161ddffa25e06eaa18f" title="Przekazuje dane ruchu do modelu robota." alt="" coords="487,308,621,333"/>
<area shape="poly" title=" " alt="" coords="699,323,622,323,622,318,699,318"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,308,416,333"/>
<area shape="poly" title=" " alt="" coords="473,323,416,323,416,318,473,318"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,308,181,333"/>
<area shape="poly" title=" " alt="" coords="216,323,182,323,182,318,216,318"/>
</map>
</div>

</div>
</div>
<a id="adbda2be3186f3f269760ccfba7f4412b" name="adbda2be3186f3f269760ccfba7f4412b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbda2be3186f3f269760ccfba7f4412b">&#9670;&#160;</a></span>rad2deg()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double rad2deg </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>angle_rad</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">angle_rad</td><td>- kąt w radianach </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>kąt w stopniach </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8hpp_source.html#l00274">274</a> pliku <a class="el" href="_robot_model_8hpp_source.html">RobotModel.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8hpp_adbda2be3186f3f269760ccfba7f4412b_icgraph.png" border="0" usemap="#a_robot_model_8hpp_adbda2be3186f3f269760ccfba7f4412b_icgraph" alt=""/></div>
<map name="a_robot_model_8hpp_adbda2be3186f3f269760ccfba7f4412b_icgraph" id="a_robot_model_8hpp_adbda2be3186f3f269760ccfba7f4412b_icgraph">
<area shape="rect" title="Przekształca radiany w stopnie." alt="" coords="1007,5,1075,31"/>
<area shape="rect" href="class_robot_model.html#a462c63bf18c587c8f6eb6459be6b6fbe" title="Oblicza nowe położenie i orietnację robota." alt="" coords="829,5,959,31"/>
<area shape="poly" title=" " alt="" coords="993,21,959,21,959,15,993,15"/>
<area shape="rect" href="class_viewer.html#a37a4c731034836effceb714e30d12297" title="Przekazuje dane ruchu do modelu robota." alt="" coords="647,5,781,31"/>
<area shape="poly" title=" " alt="" coords="815,21,781,21,781,15,815,15"/>
<area shape="rect" href="class_map3_d.html#aaf51a6397305a161ddffa25e06eaa18f" title="Przekazuje dane ruchu do modelu robota." alt="" coords="464,5,599,31"/>
<area shape="poly" title=" " alt="" coords="633,21,599,21,599,15,633,15"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="aa31febf458485f9c45b26e33d2384d95" name="aa31febf458485f9c45b26e33d2384d95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa31febf458485f9c45b26e33d2384d95">&#9670;&#160;</a></span>updateArray()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void updateArray </td>
          <td>(</td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>array</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>point1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>point2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>point3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>point4</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Mając wskaźnik na początek tablicy, nadpisuje zawarte w niej punkty czterema nowymi danymi jako argumenty.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">array</td><td>- tablica współrzędnych </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">point1</td><td>- pierwsza współrzędna </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">point2</td><td>- druga współrzędna </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">point3</td><td>- trzecia współrzędna </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">point4</td><td>- czwarta współrzędna </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_model_8cpp_source.html#l01119">1119</a> pliku <a class="el" href="_robot_model_8cpp_source.html">RobotModel.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_model_8hpp_aa31febf458485f9c45b26e33d2384d95_icgraph.png" border="0" usemap="#a_robot_model_8hpp_aa31febf458485f9c45b26e33d2384d95_icgraph" alt=""/></div>
<map name="a_robot_model_8hpp_aa31febf458485f9c45b26e33d2384d95_icgraph" id="a_robot_model_8hpp_aa31febf458485f9c45b26e33d2384d95_icgraph">
<area shape="rect" title="Aktualizuje współrzędne w tablicy." alt="" coords="731,5,821,31"/>
<area shape="rect" href="class_robot_model.html#a12178061bc2160d73de81f418c65f25b" title="Rysuje podstawę robota." alt="" coords="528,5,683,31"/>
<area shape="poly" title=" " alt="" coords="717,21,683,21,683,15,717,15"/>
<area shape="rect" href="class_robot_model.html#a5ff73305cdfe2a1691b0c52c46a38a54" title="Rysuje kompletnego robota." alt="" coords="321,5,480,31"/>
<area shape="poly" title=" " alt="" coords="514,21,480,21,480,15,514,15"/>
<area shape="rect" href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc" title="Rysuje wszystkie elementy mapy 3D." alt="" coords="149,5,273,31"/>
<area shape="poly" title=" " alt="" coords="308,21,273,21,273,15,308,15"/>
<area shape="rect" href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c" title="Funkcja rysująca obiekty." alt="" coords="5,5,101,31"/>
<area shape="poly" title=" " alt="" coords="136,21,102,21,102,15,136,15"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_robot_model_8hpp.html">RobotModel.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
